%define Name Erlang
%define bname erlang
Name: %bname-man
%define ver R12B
%define subver 5
Version: %ver.%subver
Release: alt3
Summary: A programming language developed by Ericsson
License: EPL
Group: Documentation
URL: http://www.%bname.org
Source: otp_doc_man_%ver-%subver.tar
Patch0: otp_doc_man-%ver-%subver-tuples.patch
Patch1: otp_doc_man-%ver-%subver-mnesia_ext.patch
BuildArch: noarch
Conflicts: %bname-manpages < R11B.4-alt0.1
Conflicts: %bname < R12B.5-alt6
Provides: %bname-manpages = %version-%release
Packager: Led <led@altlinux.ru>

BuildRequires(pre): rpm-macros-erlang

%description
%Name is a programming language developed at Ericsson Computer Science
Laboratory. %Name provides many features which are more commonly
associated with an operating system: concurrent processes, scheduling,
memory management, distribution, networking, etc.
This package contains man pages for %Name.


%prep
%setup -c
%patch0 -p1
%patch1 -p1


%install
install -d -m 0755 %buildroot{%_man1dir,%_man3dir,%_man4dir,%_man6dir,%_erlmandir/man{1,3,4,6},%_docdir/%bname-%version}
install -m 0644 COPYRIGHT PR.template README %buildroot%_docdir/%bname-%version/
for n in 1 3 4 6; do
    install -m 0644 man/man$n/* %buildroot%_erlmandir/man$n/
done
ln -sf %buildroot%_erlmandir/man1/* %buildroot%_man1dir/
#ln -sf %buildroot%_erlmandir/man3 %buildroot%_mandir/man3erl
for f in %buildroot%_erlmandir/man3/*; do
    ln -sf $f %buildroot%_man3dir/$(basename $f)erl
done
ln -sf %buildroot%_erlmandir/man4/* %buildroot%_man4dir/
ln -sf %buildroot%_erlmandir/man6/* %buildroot%_man6dir/


%files
%dir %_docdir/%bname-%version
%_docdir/%bname-%version/*
%dir %_erldir
%dir %_erlmandir
%dir %_erlmandir/man1
%dir %_erlmandir/man3
%dir %_erlmandir/man4
%dir %_erlmandir/man6
%_erlmandir/man1/*
%_erlmandir/man3/*
%_erlmandir/man4/*
%_erlmandir/man6/*
%_man1dir/*
#%%_mandir/man3erl
%_man3dir/*
%_man4dir/*
%_man6dir/*


%changelog
* Sat Jan 17 2009 Led <led@altlinux.ru> R12B.5-alt3
- cleaned up erlang.3
- added tuples.3
- added mnesia_ext.3

* Tue Dec 30 2008 Led <led@altlinux.ru> R12B.5-alt2
- added BIFs erlang:delete_element/2, erlang:insert_element/3

* Thu Nov 13 2008 Led <led@altlinux.ru> R12B.5-alt1
- R12B-5

* Thu Nov 06 2008 Led <led@altlinux.ru> R12B.4-alt2
- fixed URL
- fixed spec

* Thu Sep 04 2008 Led <led@altlinux.ru> R12B.4-alt1
- R12B-4

* Fri Aug 15 2008 Led <led@altlinux.ru> R12B.3-alt1
- R12B-3

* Sat Jun 14 2008 Led <led@altlinux.ru> R11B.5-alt1
- moved %%_mandir/man3erl/* to %%_man3dir/*erl

* Wed Sep 05 2007 Led <led@altlinux.ru> R11B.5-alt0.3
- added %_mandir/man3erl link

* Mon Jul 02 2007 Led <led@altlinux.ru> R11B.5-alt0.2
- removed man3 conflict symlinks

* Tue Jun 26 2007 Led <led@altlinux.ru> R11B.5-alt0.1
- R11B-5

* Wed Jun 06 2007 Led <led@altlinux.ru> R11B.4-alt0.1
- initial build
